%define anolis_release 1
# Run optional test
%bcond_with perl_Git_Wrapper_enables_optional_test
%bcond_with check

Name:           perl-Git-Wrapper
Version:        0.048
Release:        %{anolis_release}%{dist}

Summary:        Wrap git command-line interface for Perl
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Git-Wrapper
Source0:        https://cpan.metacpan.org/authors/id/G/GE/GENEHACK/Git-Wrapper-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  git-core
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(Devel::CheckBin)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IPC::Cmd)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Symbol)
# Tests:
BuildRequires:  perl(Cwd)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(IO::File)
# Pod::Coverage::TrustPod not used
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
# Test::Pod 1.4 not used
# Test::Pod::Coverage 1.08 not used
%if %{with perl_Git_Wrapper_enables_optional_test}
# Optional tests:
BuildRequires:  perl(Path::Class) >= 0.26
%endif
Requires:       git-core
Requires:       perl(IPC::Cmd)

%description
Git::Wrapper provides an API for git that uses Perl data structures for
argument passing, instead of CLI-style --options as Git does.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Git-Wrapper-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%if %{with check}
make test
%endif

%files
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc Changes README.md

%changelog
* Sat Mar 25 2023 yuanhui <yuanhui@linux.alibaba.com> - 0.048-1
- Init package from upstream
